module RechnMgmUserArea
    class MemberShip
        include NoBrainer::Document
        include NoBrainer::Document::Timestamps

        belongs_to :user, :class_name => DeviseAuthentication::User
        belongs_to :organisation

        field :is_primary,  :type => Boolean, :default => false
        field :roles_mask,  :type => Integer, :default => 2, :validates => { numericality: { greater_than: 0 } }
    end
end
